%define eclipse_base   %{_libdir}/eclipse
%define install_loc    %{_libdir}/eclipse/dropins/linuxprofilingframework
%define qualifier      20110706181258

# Package in %%{_libdir} but no native code so no debuginfo
%global debug_package %{nil}

Name:           eclipse-linuxprofilingframework
Version:        0.8.0
Release:        0.1.20110706git02ddf6ebc7%{?dist}
Summary:        Eclipse Linux Tools Profiling Framework

Group:          Development/Tools
License:        EPL
URL:            http://eclipse.org/linuxtools
Source0:        http://git.eclipse.org/c/linuxtools/org.eclipse.linuxtools.git/snapshot/org.eclipse.linuxtools-02ddf6ebc798dcaf192829b2f51fcc3b66f4ef3a.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# No CDT on ppc64
ExcludeArch: ppc64

BuildRequires: eclipse-pde >= 1:3.6.0
BuildRequires: eclipse-cdt >= 1:7.0.0
BuildRequires: eclipse-birt >= 3.7.0-3
Requires: eclipse-platform >= 1:3.6.0
Requires: eclipse-cdt >= 1:7.0.0
Requires: eclipse-birt >= 3.7.0-3

%description
Plugins common to Eclipse Linux Tools profiling tools.

%prep
%setup -q -n org.eclipse.linuxtools-02ddf6ebc798dcaf192829b2f51fcc3b66f4ef3a

%build
pushd profiling
%{eclipse_base}/buildscripts/pdebuild -v -d "cdt birt emf gef rse dtp-connectivity" \
 -a "-DjavacSource=1.6 -DjavacTarget=1.6 -DforceContextQualifier=%{qualifier}" \
 -j -DJ2SE-1.6=%{_jvmdir}/java/jre/lib/rt.jar \
 -f org.eclipse.linuxtools.profiling
popd

%install
rm -rf %{buildroot}
install -d -m 755 $RPM_BUILD_ROOT%{install_loc}

pushd profiling
unzip -q -d $RPM_BUILD_ROOT%{install_loc} \
     build/rpmBuild/org.eclipse.linuxtools.profiling.zip
popd

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc profiling/org.eclipse.linuxtools.profiling-feature/epl-v10.html
%{install_loc}

%changelog
* Mon Jul 18 2011 Jeff Johnston <jjohnstn@redhat.com> 0.8.0-0.1.20110706git02ddf6ebc7
- Update to pre 0.8 release which adds dataviewers used by gprof/gcov into 
  linux profiling framework.
- Switch to use Java 1.6.

* Wed Jul 13 2011 Andrew Overholt <overholt@redhat.com> 0.7.0-1
- Update to Linux Tools Indigo release (0.8.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Oct 8 2010 Severin Gehwolf <sgehwolf@redhat.com> 0.6.1-1
- Upstream 0.6.1 release.

* Thu Jul 15 2010 Elliott Baron <ebaron@fedoraproject.org> 0.6.0-1
- Upstream 0.6.0 release.

* Thu Aug 20 2009 Elliott Baron <ebaron@fedoraproject.org> 0.3.0-2
- Remove ".feature" from feature ID passed to pdebuild.

* Thu Aug 20 2009 Elliott Baron <ebaron@fedoraproject.org> 0.3.0-1
- Upstream 0.3.0 release.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri May 15 2009 Elliott Baron <ebaron@redhat.com> 0.2.0-2
- Fixing tag.

* Wed May 13 2009 Elliott Baron <ebaron@redhat.com> 0.2.0-1
- Upstream 0.2.0 release.

* Wed Apr 8 2009 Andrew Overholt <overholt@redhat.com> 0.1.0-4
- Don't generate debuginfo (rhbz#494719).

* Mon Mar 23 2009 Elliott Baron <ebaron@redhat.com> 0.1.0-3
- Rebuild for changes in pdebuild to not ship p2 metadata.

* Fri Mar 6 2009 Elliott Baron <ebaron@redhat.com> 0.1.0-2
- Changing to arch dependent for CDT dependency.
- CDT should be >= 5.0.0

* Thu Mar 5 2009 Elliott Baron <ebaron@redhat.com> 0.1.0-1
- Final 0.1 upstream release.
- Removed "Valgrind" from dialog titles.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-0.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 28 2009 Andrew Overholt <overholt@redhat.com> 0.1.0-0.2
- No CDT on ppc64 -> ExcludeArch.

* Tue Jan 13 2009 Andrew Overholt <overholt@redhat.com> 0.1.0-0.1
- Initial release.  Pre-0.1.0 upstream.
